Index: sasmodels/models/barbell.c
===================================================================
--- sasmodels/models/barbell.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/barbell.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -1,9 +1,2 @@
-double form_volume(double radius_bell, double radius, double length);
-double Iq(double q, double sld, double solvent_sld,
-        double radius_bell, double radius, double length);
-double Iqxy(double qx, double qy, double sld, double solvent_sld,
-        double radius_bell, double radius, double length,
-        double theta, double phi);
-
 #define INVALID(v) (v.radius_bell < v.radius)
 
@@ -55,8 +48,8 @@
 }
 
-
-double form_volume(double radius_bell,
-        double radius,
-        double length)
+static double
+form_volume(double radius_bell,
+    double radius,
+    double length)
 {
     // bell radius should never be less than radius when this is called
@@ -69,6 +62,7 @@
 }
 
-double Iq(double q, double sld, double solvent_sld,
-          double radius_bell, double radius, double length)
+static double
+Iq(double q, double sld, double solvent_sld,
+    double radius_bell, double radius, double length)
 {
     const double h = -sqrt(radius_bell*radius_bell - radius*radius);
@@ -95,14 +89,9 @@
 
 
-double Iqxy(double qx, double qy,
-        double sld, double solvent_sld,
-        double radius_bell, double radius, double length,
-        double theta, double phi)
+static double
+Iqxy(double qab, double qc,
+    double sld, double solvent_sld,
+    double radius_bell, double radius, double length)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double h = -sqrt(square(radius_bell) - square(radius));
     const double Aq = _fq(qab, qc, h, radius_bell, radius, 0.5*length);
Index: sasmodels/models/bcc_paracrystal.c
===================================================================
--- sasmodels/models/bcc_paracrystal.c	(revision 7e0b281e5f175a91044364982fcfbfe802508948)
+++ sasmodels/models/bcc_paracrystal.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -54,6 +54,6 @@
 
 static double Iq(double q, double dnn,
-  double d_factor, double radius,
-  double sld, double solvent_sld)
+    double d_factor, double radius,
+    double sld, double solvent_sld)
 {
     // translate a point in [-1,1] to a point in [0, 2 pi]
@@ -91,16 +91,9 @@
 
 
-static double Iqxy(double qx, double qy,
+static double Iqxy(double qa, double qb, double qc,
     double dnn, double d_factor, double radius,
-    double sld, double solvent_sld,
-    double theta, double phi, double psi)
+    double sld, double solvent_sld)
 {
-    double q, zhat, yhat, xhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
-    q = sqrt(qa*qa + qb*qb + qc*qc);
+    const double q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Zq = bcc_Zq(qa, qb, qc, dnn, d_factor);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
Index: sasmodels/models/capped_cylinder.c
===================================================================
--- sasmodels/models/capped_cylinder.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/capped_cylinder.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -1,8 +1,2 @@
-double form_volume(double radius, double radius_cap, double length);
-double Iq(double q, double sld, double solvent_sld,
-    double radius, double radius_cap, double length);
-double Iqxy(double qx, double qy, double sld, double solvent_sld,
-    double radius, double radius_cap, double length, double theta, double phi);
-
 #define INVALID(v) (v.radius_cap < v.radius)
 
@@ -17,5 +11,5 @@
 static double
 _cap_kernel(double qab, double qc, double h, double radius_cap,
-            double half_length)
+    double half_length)
 {
     // translate a point in [-1,1] to a point in [lower,upper]
@@ -60,5 +54,6 @@
 }
 
-double form_volume(double radius, double radius_cap, double length)
+static double
+form_volume(double radius, double radius_cap, double length)
 {
     // cap radius should never be less than radius when this is called
@@ -89,6 +84,7 @@
 }
 
-double Iq(double q, double sld, double solvent_sld,
-          double radius, double radius_cap, double length)
+static double
+Iq(double q, double sld, double solvent_sld,
+    double radius, double radius_cap, double length)
 {
     const double h = sqrt(radius_cap*radius_cap - radius*radius);
@@ -118,14 +114,9 @@
 
 
-double Iqxy(double qx, double qy,
+static double
+Iqxy(double qab, double qc,
     double sld, double solvent_sld, double radius,
-    double radius_cap, double length,
-    double theta, double phi)
+    double radius_cap, double length)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double h = sqrt(radius_cap*radius_cap - radius*radius);
     const double Aq = _fq(qab, qc, h, radius_cap, radius, 0.5*length);
Index: sasmodels/models/core_shell_bicelle.c
===================================================================
--- sasmodels/models/core_shell_bicelle.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/core_shell_bicelle.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -67,5 +67,5 @@
 
 static double
-Iqxy(double qx, double qy,
+Iqxy(double qab, double qc,
     double radius,
     double thick_rim,
@@ -75,13 +75,6 @@
     double face_sld,
     double rim_sld,
-    double solvent_sld,
-    double theta,
-    double phi)
+    double solvent_sld)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     double fq = bicelle_kernel(qab, qc, radius, thick_rim, thick_face,
                            0.5*length, core_sld, face_sld, rim_sld,
Index: sasmodels/models/core_shell_bicelle_elliptical.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/core_shell_bicelle_elliptical.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -2,8 +2,8 @@
 static double
 form_volume(double r_minor,
-        double x_core,
-        double thick_rim,
-        double thick_face,
-        double length)
+    double x_core,
+    double thick_rim,
+    double thick_face,
+    double length)
 {
     return M_PI*(r_minor+thick_rim)*(r_minor*x_core+thick_rim)*(length+2.0*thick_face);
@@ -12,13 +12,13 @@
 static double
 Iq(double q,
-        double r_minor,
-        double x_core,
-        double thick_rim,
-        double thick_face,
-        double length,
-        double sld_core,
-        double sld_face,
-        double sld_rim,
-        double sld_solvent)
+    double r_minor,
+    double x_core,
+    double thick_rim,
+    double thick_face,
+    double length,
+    double sld_core,
+    double sld_face,
+    double sld_rim,
+    double sld_solvent)
 {
      // core_shell_bicelle_elliptical, RKH Dec 2016, based on elliptical_cylinder and core_shell_bicelle
@@ -71,24 +71,15 @@
 
 static double
-Iqxy(double qx, double qy,
-          double r_minor,
-          double x_core,
-          double thick_rim,
-          double thick_face,
-          double length,
-          double sld_core,
-          double sld_face,
-          double sld_rim,
-          double sld_solvent,
-          double theta,
-          double phi,
-          double psi)
+Iqxy(double qa, double qb, double qc,
+    double r_minor,
+    double x_core,
+    double thick_rim,
+    double thick_face,
+    double length,
+    double sld_core,
+    double sld_face,
+    double sld_rim,
+    double sld_solvent)
 {
-    double q, xhat, yhat, zhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
     const double dr1 = sld_core-sld_face;
     const double dr2 = sld_rim-sld_solvent;
Index: sasmodels/models/core_shell_cylinder.c
===================================================================
--- sasmodels/models/core_shell_cylinder.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/core_shell_cylinder.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -48,5 +48,5 @@
 
 
-double Iqxy(double qx, double qy,
+double Iqxy(double qab, double qc,
     double core_sld,
     double shell_sld,
@@ -54,13 +54,6 @@
     double radius,
     double thickness,
-    double length,
-    double theta,
-    double phi)
+    double length)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double core_r = radius;
     const double core_h = 0.5*length;
Index: sasmodels/models/core_shell_ellipsoid.c
===================================================================
--- sasmodels/models/core_shell_ellipsoid.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/core_shell_ellipsoid.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -75,5 +75,5 @@
 
 static double
-Iqxy(double qx, double qy,
+Iqxy(double qab, double qc,
     double radius_equat_core,
     double x_core,
@@ -82,13 +82,6 @@
     double core_sld,
     double shell_sld,
-    double solvent_sld,
-    double theta,
-    double phi)
+    double solvent_sld)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double sld_core_shell = core_sld - shell_sld;
     const double sld_shell_solvent = shell_sld - solvent_sld;
Index: sasmodels/models/core_shell_parallelepiped.c
===================================================================
--- sasmodels/models/core_shell_parallelepiped.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/core_shell_parallelepiped.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -1,14 +1,5 @@
-double form_volume(double length_a, double length_b, double length_c,
-                   double thick_rim_a, double thick_rim_b, double thick_rim_c);
-double Iq(double q, double core_sld, double arim_sld, double brim_sld, double crim_sld,
-          double solvent_sld, double length_a, double length_b, double length_c,
-          double thick_rim_a, double thick_rim_b, double thick_rim_c);
-double Iqxy(double qx, double qy, double core_sld, double arim_sld, double brim_sld,
-            double crim_sld, double solvent_sld, double length_a, double length_b,
-            double length_c, double thick_rim_a, double thick_rim_b,
-            double thick_rim_c, double theta, double phi, double psi);
-
-double form_volume(double length_a, double length_b, double length_c,
-                   double thick_rim_a, double thick_rim_b, double thick_rim_c)
+static double
+form_volume(double length_a, double length_b, double length_c,
+    double thick_rim_a, double thick_rim_b, double thick_rim_c)
 {
     //return length_a * length_b * length_c;
@@ -19,5 +10,6 @@
 }
 
-double Iq(double q,
+static double
+Iq(double q,
     double core_sld,
     double arim_sld,
@@ -118,5 +110,6 @@
 }
 
-double Iqxy(double qx, double qy,
+static double
+Iqxy(double qa, double qb, double qc,
     double core_sld,
     double arim_sld,
@@ -129,15 +122,6 @@
     double thick_rim_a,
     double thick_rim_b,
-    double thick_rim_c,
-    double theta,
-    double phi,
-    double psi)
+    double thick_rim_c)
 {
-    double q, zhat, yhat, xhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
     // cspkernel in csparallelepiped recoded here
     const double dr0 = core_sld-solvent_sld;
Index: sasmodels/models/cylinder.c
===================================================================
--- sasmodels/models/cylinder.c	(revision b34fc77253f928aabc59bd17cc4a0132796579d2)
+++ sasmodels/models/cylinder.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -45,17 +45,10 @@
 
 static double
-Iqxy(double qx, double qy,
+Iqxy(double qab, double qc,
     double sld,
     double solvent_sld,
     double radius,
-    double length,
-    double theta,
-    double phi)
+    double length)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double s = (sld-solvent_sld) * form_volume(radius, length);
     const double form = fq(qab, qc, radius, length);
Index: sasmodels/models/ellipsoid.c
===================================================================
--- sasmodels/models/ellipsoid.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/ellipsoid.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -39,17 +39,10 @@
 
 static double
-Iqxy(double qx, double qy,
+Iqxy(double qab, double qc,
     double sld,
     double sld_solvent,
     double radius_polar,
-    double radius_equatorial,
-    double theta,
-    double phi)
+    double radius_equatorial)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double qr = sqrt(square(radius_equatorial*qab) + square(radius_polar*qc));
     const double f = sas_3j1x_x(qr);
Index: sasmodels/models/elliptical_cylinder.c
===================================================================
--- sasmodels/models/elliptical_cylinder.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/elliptical_cylinder.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -55,15 +55,8 @@
 
 static double
-Iqxy(double qx, double qy,
+Iqxy(double qa, double qb, double qc,
      double radius_minor, double r_ratio, double length,
-     double sld, double solvent_sld,
-     double theta, double phi, double psi)
+     double sld, double solvent_sld)
 {
-    double q, xhat, yhat, zhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
     // Compute:  r = sqrt((radius_major*cos_nu)^2 + (radius_minor*cos_mu)^2)
     // Given:    radius_major = r_ratio * radius_minor
Index: sasmodels/models/fcc_paracrystal.c
===================================================================
--- sasmodels/models/fcc_paracrystal.c	(revision 7e0b281e5f175a91044364982fcfbfe802508948)
+++ sasmodels/models/fcc_paracrystal.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -82,16 +82,9 @@
 
 
-static double Iqxy(double qx, double qy,
+static double Iqxy(double qa, double qb, double qc,
     double dnn, double d_factor, double radius,
-    double sld, double solvent_sld,
-    double theta, double phi, double psi)
+    double sld, double solvent_sld)
 {
-    double q, zhat, yhat, xhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
-    q = sqrt(qa*qa + qb*qb + qc*qc);
+    const double q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
     const double Zq = fcc_Zq(qa, qb, qc, dnn, d_factor);
Index: sasmodels/models/hollow_cylinder.c
===================================================================
--- sasmodels/models/hollow_cylinder.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/hollow_cylinder.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -1,8 +1,2 @@
-double form_volume(double radius, double thickness, double length);
-double Iq(double q, double radius, double thickness, double length, double sld,
-    double solvent_sld);
-double Iqxy(double qx, double qy, double radius, double thickness, double length, double sld,
-    double solvent_sld, double theta, double phi);
-
 //#define INVALID(v) (v.radius_core >= v.radius)
 
@@ -28,5 +22,5 @@
 }
 
-double
+static double
 form_volume(double radius, double thickness, double length)
 {
@@ -36,5 +30,5 @@
 
 
-double
+static double
 Iq(double q, double radius, double thickness, double length,
     double sld, double solvent_sld)
@@ -57,14 +51,9 @@
 }
 
-double
-Iqxy(double qx, double qy,
+static double
+Iqxy(double qab, double qc,
     double radius, double thickness, double length,
-    double sld, double solvent_sld, double theta, double phi)
+    double sld, double solvent_sld)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     const double form = _fq(qab, qc, radius, thickness, length);
 
Index: sasmodels/models/parallelepiped.c
===================================================================
--- sasmodels/models/parallelepiped.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/parallelepiped.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -1,10 +1,4 @@
-double form_volume(double length_a, double length_b, double length_c);
-double Iq(double q, double sld, double solvent_sld,
-    double length_a, double length_b, double length_c);
-double Iqxy(double qx, double qy, double sld, double solvent_sld,
-    double length_a, double length_b, double length_c,
-    double theta, double phi, double psi);
-
-double form_volume(double length_a, double length_b, double length_c)
+static double
+form_volume(double length_a, double length_b, double length_c)
 {
     return length_a * length_b * length_c;
@@ -12,5 +6,6 @@
 
 
-double Iq(double q,
+static double
+Iq(double q,
     double sld,
     double solvent_sld,
@@ -57,20 +52,12 @@
 
 
-double Iqxy(double qx, double qy,
+static double
+Iq2d(double qa, double qb, double qc,
     double sld,
     double solvent_sld,
     double length_a,
     double length_b,
-    double length_c,
-    double theta,
-    double phi,
-    double psi)
+    double length_c)
 {
-    double q, xhat, yhat, zhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
     const double siA = sas_sinx_x(0.5*length_a*qa);
     const double siB = sas_sinx_x(0.5*length_b*qb);
Index: sasmodels/models/sc_paracrystal.c
===================================================================
--- sasmodels/models/sc_paracrystal.c	(revision 7e0b281e5f175a91044364982fcfbfe802508948)
+++ sasmodels/models/sc_paracrystal.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -36,7 +36,8 @@
 
 
-static double Iq(double q, double dnn,
-  double d_factor, double radius,
-  double sld, double solvent_sld)
+static double
+Iq(double q, double dnn,
+    double d_factor, double radius,
+    double sld, double solvent_sld)
 {
     // translate a point in [-1,1] to a point in [0, 2 pi]
@@ -76,16 +77,10 @@
 
 
-static double Iqxy(double qx, double qy,
+static double
+Iqxy(double qa, double qb, double qc,
     double dnn, double d_factor, double radius,
-    double sld, double solvent_sld,
-    double theta, double phi, double psi)
+    double sld, double solvent_sld)
 {
-    double q, zhat, yhat, xhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
-    q = sqrt(qa*qa + qb*qb + qc*qc);
+    const double q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
     const double Zq = sc_Zq(qa, qb, qc, dnn, d_factor);
Index: sasmodels/models/stacked_disks.c
===================================================================
--- sasmodels/models/stacked_disks.c	(revision b34fc77253f928aabc59bd17cc4a0132796579d2)
+++ sasmodels/models/stacked_disks.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -1,3 +1,4 @@
-static double stacked_disks_kernel(
+static double
+stacked_disks_kernel(
     double qab,
     double qc,
@@ -60,5 +61,6 @@
 
 
-static double stacked_disks_1d(
+static double
+stacked_disks_1d(
     double q,
     double thick_core,
@@ -102,5 +104,6 @@
 }
 
-static double form_volume(
+static double
+form_volume(
     double thick_core,
     double thick_layer,
@@ -113,5 +116,6 @@
 }
 
-static double Iq(
+static double
+Iq(
     double q,
     double thick_core,
@@ -137,5 +141,6 @@
 
 
-static double Iqxy(double qx, double qy,
+static double
+Iqxy(double qab, double qc,
     double thick_core,
     double thick_layer,
@@ -145,13 +150,6 @@
     double core_sld,
     double layer_sld,
-    double solvent_sld,
-    double theta,
-    double phi)
+    double solvent_sld)
 {
-    double q, sin_alpha, cos_alpha;
-    ORIENT_SYMMETRIC(qx, qy, theta, phi, q, sin_alpha, cos_alpha);
-    const double qab = q*sin_alpha;
-    const double qc = q*cos_alpha;
-
     int n_stacking = (int)(fp_n_stacking + 0.5);
     double d = 2.0 * thick_layer + thick_core;
Index: sasmodels/models/triaxial_ellipsoid.c
===================================================================
--- sasmodels/models/triaxial_ellipsoid.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/triaxial_ellipsoid.c	(revision becded3d803d05553cd978e361eeb35b6f6736bf)
@@ -46,20 +46,11 @@
 
 static double
-Iqxy(double qx, double qy,
+Iqxy(double qa, double qb, double qc,
     double sld,
     double sld_solvent,
     double radius_equat_minor,
     double radius_equat_major,
-    double radius_polar,
-    double theta,
-    double phi,
-    double psi)
+    double radius_polar)
 {
-    double q, xhat, yhat, zhat;
-    ORIENT_ASYMMETRIC(qx, qy, theta, phi, psi, q, xhat, yhat, zhat);
-    const double qa = q*xhat;
-    const double qb = q*yhat;
-    const double qc = q*zhat;
-
     const double qr = sqrt(square(radius_equat_minor*qa)
                            + square(radius_equat_major*qb)
